import QtQuick 2.0

pragma Singleton

Object {

    property var _rootWindow: null

    /*
     * _positionRootWindow
     *
     * Use for fullscreen Stuff. Any Overlay element which is positioned above everything else and
     * and visible. This oblect is the size of the screen - the size of the status bar (Android
     * API Level >= 21 (Lollipop)).
     */
    property var _positionRootWindow: null

    property var _headerLoader: null
    property var _actionLoader: null
    property var _globalContextMenu: null
    property var _snackbar: null
    property var _navigationPane: null
    property var _globalSmartHomeState: null
    property bool _networkChanged: false
    property bool _deviceConfigOpened: false

    readonly property string _TSDUMMYROOMNAME: ".TECHNISAT"
    property string _TSDUMMYROOMUUID: "-1"

    readonly property string _FAVLISTNAME: "TSDFAVLIST"
    property string _FAVLISTID: "-1";

    function getTSFavListName() {
        return _FAVLISTNAME;
    }

    function setTSFavListUUID(id) {
        if(typeof id !== "undefined") {
            _FAVLISTID = id;
        }
    }

    function getTSFavListUUID() {
        return _FAVLISTID;
    }

    function getTSDummyRoomName() {
        return _TSDUMMYROOMNAME;
    }

    function getTSDummyRoomUUID() {
        return _TSDUMMYROOMUUID;
    }

    function setTSDummyRoomUUID(id) {
        _TSDUMMYROOMUUID = id;
    }


}
